fuss-backup - Segnalazione #466

Backup della directory slapd e file *.Idif giornaliero dell'albero LDAP assenti nell'ultima versione di
fuss-backup (2.1-1~fuss8+3)

02/07/2018 01:27 PM - Paolo Dongilli

Status: Risolto Start date: 02/07/2018
Priority: Alta Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Viene segnalato quanto segue:

[...] allego un file contenente le informazioni relative allo script che, nella versione server Debian 7, si occupava di creare un backup
della directory slapd e un file *.Idif giornaliero dell'albero LDAP. Questi dati venivano copiati nella directory /var/backups. Oltre a
questi dati veniva backuppata, nella stessa directory (var/backups), anche la directory fuss-server. Sia slapd che fuss-server nella
direcrory /var/backups dei nuovi server Debian 8 sono invece assenti.

E' stato previsto che questo lavoro venga eseguito dal nuovo fuss-backup?

Qui sotto il contenuto di /var/backups nel server Debian 7:

apt.extended_states.0  dpkg.status.1.gz old-ldap_backup-2015-08-21-11:07:46
apt.extended_states.1.gz dpkg.status.2.gz passwd.bak
apt.extended_states.2.gz dpkg.status.3.gz shadow.bak
apt.extended_states.3.gz dpkg.status.4.gz slapd

apt.extended_states.4.gz dpkg.status.5.gz slapd-2.4.31-2
apt.extended_states.5.gz dpkg.status.6.gz slapd-2.4.31-2+deb7u1
apt.extended_states.6.gz fuss-server slapd-2.4.31-2+deb7u2
aptitude.pkgstates.0  group.bak

dpkg.status.0 gshadow.bak

Qui sotto invece il contenuto di /var/backups nel server Debian 8:

alternatives.tar.0  dpkg.statoverride.0  dpkg.status.2.gz
apt.extended_states.0 dpkg.statoverride.1.gz dpkg.status.3.gz
dpkg.diversions.0  dpkg.statoverride.2.gz dpkg.status.4.gz
dpkg.diversions.1.gz dpkg.statoverride.3.gz dpkg.status.5.gz
dpkg.diversions.2.gz dpkg.statoverride.4.gz dpkg.status.6.gz
dpkg.diversions.3.gz dpkg.statoverride.5.gz group.bak
dpkg.diversions.4.gz dpkg.statoverride.6.gz gshadow.bak
dpkg.diversions.5.gz dpkg.status.0 passwd.bak
dpkg.diversions.6.gz dpkg.status.1.gz shadow.bak

History

#1 - 02/07/2018 06:09 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli
Il pacchetto installa sotto /etc/cron.d un file che esegue i backup ogni lunedi, e crea la directory /var/backups/slapd. Non si capisce se nel caso € stato
eseguito o meno.

Mi serve sapere, sul server in questione, se il pacchetto & installato, e se lanciato funziona. Ricordo che se non si esegue la configurazione come
spiegato nella documentazione il programma non gira:

https://work.fuss.bz.it/projects/server/wiki/Fuss_Backup

(il disco esterno su viene fatto il backup non & configurabile automaticamente).
https://work.fuss.bz.it/projects/server/wiki/Fuss_Backup

#2 - 05/14/2018 06:20 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Simone Piccardi

Mi ricollego a questa issue.

Ho verificato su uno dei nostri server che se si lancia fuss-backup a mano (come root ovviamente), viene creato il file Idif da slapcat e correttamente

memorizzato in /var/backups/slapd.

Se fuss-backup viene lanciato da cron, il file Idif non viene creato. Il backup delle cartelle, invece, viene correttamente eseguito da borg.

#3 - 05/16/2018 06:05 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Paolo Dongilli

L'ultimo commit dovrebbe risolvere, il pacchetto deve essere rigenerato, vedi:

https://work.fuss.bz.it/projects/fuss-backup/repository/revisions/fa04fe637c3be7e2f11daf2c69a2219eb1b4e9f4

#4 - 05/18/2018 02:58 PM - Paolo Dongilli
- Status changed from Nuovo to Risolto

- % Done changed from 0 to 100

Risolto, grazie.
In piu, prima de generare il pacchetto ho rimosso README.exclude dalla cartella debian/docs.
